Debian Bug report logs - #726456
ITP: php-font-lib -- read, parse, export and make subsets of different types of font files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Prévot <taffit@debian.org>

Date: Tue, 15 Oct 2013 22:24:02 UTC

Owned by: David Prévot <taffit@debian.org>

Severity: wishlist

Fixed in version php-font-lib/0~20120210+dfsg-1

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-php-pear@lists.alioth.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#726456; Package wnpp. (Tue, 15 Oct 2013 22:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-php-pear@lists.alioth.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Tue, 15 Oct 2013 22:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: php-font-lib -- read, parse, export and make subsets of different types of font files
Date: Tue, 15 Oct 2013 18:21:47 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: David Prévot <taffit@debian.org>
Control: blocks 567928 by -1
Control: blocks 718585 by 567928
Control: blocks 726167 by 567928
Control: affects -1 owncloud

* Package name    : php-font-lib
  Version         : 0.2.1
  Upstream Author : Fabien Ménager <fabien.menager@gmail.com>
* URL             : https://github.com/PhenX/php-font-lib
* License         : LGPL-2.1+
  Programming Lang: PHP
  Description     : read, parse, export and make subsets of different fonts

 This library can be used to:
  * Read TrueType, OpenType (with TrueType glyphs), WOFF font files
  * Extract basic info (name, style, etc)
  * Extract advanced info (horizontal metrics, glyph names, glyph
    shapes, etc.)
  * Make an Adobe Font Metrics (AFM) file from a font


This library is used by the soon to come php-dompdf package, that is
used by the requested phpdocx and php-excel packages, that will be used
by the upcoming version 6 of owncloud.

Regards

David

P.-S.: Some RFP have been recently filled for the upcoming version 6 of
owncloud. They are tagged as affecting owncloud, and are thus displayed
on <http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=owncloud> (in
case you feel bored or are willing to help a little bit ;).
[signature.asc (application/pgp-signature, inline)]

Added indication that 726456 affects owncloud Request was from David Prévot <taffit@debian.org> to submit@bugs.debian.org. (Tue, 15 Oct 2013 22:24:06 GMT) Full text and rfc822 format available.

Added indication that bug 726456 blocks 567928 Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 22:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 07:06:09 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Sun, 24 Nov 2013 10:03:05 GMT) Full text and rfc822 format available.

Notification sent to David Prévot <taffit@debian.org>:
Bug acknowledged by developer. (Sun, 24 Nov 2013 10:03:05 GMT) Full text and rfc822 format available.

Message #16 received at 726456-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 726456-close@bugs.debian.org
Subject: Bug#726456: fixed in php-font-lib 0~20120210+dfsg-1
Date: Sun, 24 Nov 2013 10:00:08 +0000
Source: php-font-lib
Source-Version: 0~20120210+dfsg-1

We believe that the bug you reported is fixed in the latest version of
php-font-lib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated php-font-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Oct 2013 19:43:48 -0400
Source: php-font-lib
Binary: php-font-lib
Architecture: source all
Version: 0~20120210+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 php-font-lib - read, parse, export and make subsets of different fonts
Closes: 726456
Changes: 
 php-font-lib (0~20120210+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #726456)
Checksums-Sha1: 
 642f24861feb20b7b5592ffd560f6b4c49366557 1674 php-font-lib_0~20120210+dfsg-1.dsc
 61b7d24646c171d459dda15d8422aa6ba9be7621 39772 php-font-lib_0~20120210+dfsg.orig.tar.xz
 775df1dce033ed15a0a58c777230ce645636c6c5 2427 php-font-lib_0~20120210+dfsg-1.debian.tar.gz
 26b05719d5074dc2ffc8d4f52ad9214026b51632 44756 php-font-lib_0~20120210+dfsg-1_all.deb
Checksums-Sha256: 
 90865ae217f77ef828267b9e02927f227f0d1d270f467b36643b86ddc052a789 1674 php-font-lib_0~20120210+dfsg-1.dsc
 ad608082fe284f667c687a10d8b2bbb3b8d66fcee08bad8e9ee2ac858f252f04 39772 php-font-lib_0~20120210+dfsg.orig.tar.xz
 cdc476e76037c7168aad96de8485837d43af11a73b237dd21ea4e1a1f731bbe1 2427 php-font-lib_0~20120210+dfsg-1.debian.tar.gz
 277bb72711d33b3e7a34a9ab7a8465124fcc79d6a8174a5728b08b894e5d0703 44756 php-font-lib_0~20120210+dfsg-1_all.deb
Files: 
 bcca405ee9067e8d0c7046a188439810 1674 php optional php-font-lib_0~20120210+dfsg-1.dsc
 956aca11b40bbe927b3fe57e30a6d210 39772 php optional php-font-lib_0~20120210+dfsg.orig.tar.xz
 139dff8067895b4769b6acf502b3dca1 2427 php optional php-font-lib_0~20120210+dfsg-1.debian.tar.gz
 090cad4bfdc697db544e58c5bb4d3458 44756 php optional php-font-lib_0~20120210+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQEcBAEBCAAGBQJSXeTwAAoJEAWMHPlE9r08MmEH/23BxyOunZs/FSzcGxjp4Azk
LC15u5C1c0MtoFmq1se6PEYdbbR0jfWDqTAygfVDqrOCAQvBrutttE28tMLlE2gq
GQd0Y6Ti9KI5cpqoboK/DZIekGQl1cWhcx5R/sj2qFS938+BOXK45d5TJ5uT165f
LH+W7+kVm2HOdRUcWAa7pCMeRET7ci599d7F8hFmSWDTlkGxVgTwSbOX+ObekXo9
AuFncaCwzsdCjskdIW5iAPQmcFacPBfDvAQMlUtaRuidDGQX7IiAEQW5ERSQMeCP
gP45umN8JrSMjKbpIHxByUkN5mtfjO/oWZ4A4K0wFwgCyobrUBJRj9+/0ig3OPk=
=8ByI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Dec 2013 07:38:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:33:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.